<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<? // list domains AND del_domain form ?>
<? if ($content[domains]) { ?>
<fieldset>
<legend>List domains</legend>
<form action="" method="post" enctype="multipart/form-data">
	<table>
			<tr><th><a href="<? echo $content[domains_table][th][name]; ?>">domain</a></th>
				<th><a href="<? echo $content[domains_table][th][policy_name]; ?>">default policy</a></th>
				<th><a href="<? echo $content[domains_table][th][default_quota]; ?>">default quota (MB)</a></th>
				<th><a href="<? echo $content[domains_table][th][accounts]; ?>">accounts</a></th>
				<th><a href="<? echo $content[domains_table][th][aliases]; ?>">aliases</a></th>
				<th>delete?</th>
			</tr>
			<? foreach ($content[domains] as $k => $v) { ?>
			<tr>
				<td><a href="index.php?page=accounts&domain_id=<? echo $v[id]; ?>"><? echo $v[name]; ?></a></td>
				<td><? echo $v[policy_name]; ?></td>
				<td><? echo $v[default_quota]; ?></td>
				<td><? echo $v[accounts]; ?></td>
				<td><? echo $v[aliases]; ?></td>
				<td>
				<? if (am_i_admin_of($v[id])) { ?>
					<input type="checkbox" name="<? echo $content[forms][del_domain][del_domain]; ?>[]" value="<? echo $v[id]; ?>"/>
				<? } ?>
				</td>
			</tr>
			<? } ?>
	</table>
	<p class="submit">
		<input type="checkbox" name="<? echo $content[forms][del_domain][del_domain_confirm]; ?>" value="1"/><span class="pseudolabel">Really do it ?</span>
		<input type="submit" class="input-submit" name="<? echo $content[forms][del_domain][submit]; ?>" value="Delete" title="Be fucking careful" />
	</p>
</form>
</fieldset>
<? } ?>

<? /* adddomain form */ ?>
<? if (am_i_server_admin()) { ?>
<form action="" method="post" enctype="multipart/form-data">
<fieldset>
	<legend>Add a domain</legend>
	<dl>
		<dt><label for="add_domain">Add a domain</label></dt>
		<dd><input type="text" class="input-text" name="<? echo $content[forms][add_domain][new_domain]; ?>" id="add_domain" value="<? echo $content[forms][add_domain][domain]; ?>" /></dd>
		<dt><label for="policy">Amavis policy</label></dt>
		<dd><select name="<? echo $content[forms][add_domain][policy]; ?>" id="policy">
				<option value="">No policy</option>
				<? foreach ($content[forms][add_domain][policies] as $k => $v) { ?>
					<option value="<? echo $k; ?>" ><? echo $v; ?></option>
				<? } ?>
			</select>
		</dd>
		<dt><label for="default_quota">Default quota (MB)</label></dt>
		<dd><input type="text" class="input-text" name="<? echo $content[forms][add_domain][default_quota]; ?>" id="default_quota" value="" /></dd>
	</dl>
	<p class="submit"><input type="submit" class="input-submit" name="<? echo $content[forms][add_domain][submit]; ?>" value="Add domain" /></p>
</fieldset>
</form>
<? } ?>
